#include <iostream>

#include <set>

using namespace std;

int a[100000000], br[100000000];

int n, k, rez;

set<int> s;

set<int>::iterator it;

pair<set<int>::iterator, bool> par;

int main(){

                cin>>n>>k;

                for(int i=0; i<n; i++){

                                cin>>a[i];

                                par=s.insert(a[i]);

                                if(par.second==true) br[a[i]]=1;

                                else br[a[i]]++;

                }

                for(it=s.begin(); it!=s.end(); it++) if(br[*it]>=k) rez++;

                cout<<rez<<endl;

                for(it=s.begin(); it!=s.end(); it++) if(br[*it]>=k){

                                cout<< *it<<" ";

                }

                return 0;

}